Bug 197162 - 1 Ethernet interface is not named properly on a system with 4 interfaces using the same driver when HWADDR is specified for all of them
1 Ethernet interface is not named properly on a system with 4 interfaces usin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 18:27 EDT by Marcus Schwartz
Modified: 2014-03-16 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Schwartz 2006-06-28 18:27:29 EDT
Description of problem:  I have a system with 2 NICs integrated onto the
motherboard, and a dual-port PCI-X card for a total of 4 interfaces.  The
motherboard's and PCI-X card's Ethernet chipsets are slightly different, but
both use the e1000 driver.  I have specified HWADDR for the 4 interfaces so as
to ensure consistent naming among them (also so that the physical layout on the
back of the server has the same device names in the same positions as other
servers it will sit near).

When I boot, 3 of the interfaces are named properly, but the 4th is named
"dev#####", where "#####" is a random number.  Unlike a previous, similar bug,
the number does not change every time I run ifconfig; it does change when I
reboot, however.  So, for example, I may end up with Ethernet interfaces named
eth0, eth1, eth3, and dev4173.

The system in question is a Dell PowerEdge 1850.


Version-Release number of selected component (if applicable):
8.31.1-1

How reproducible:
Always

Steps to Reproduce:
1.  Specify HWADDR lines for each interface in a system as described above.
2.  Examine the output of "ifconfig -a" to see the device names.

Actual results:
One interface is named "dev#####", where ##### is a random number specific to
that boot, rather than the name corresponding to
/etc/sysconfig/networking/devices/ifconfig-eth?.

Expected results:
All interfaces should be named "eth#" corresponding to how they are specified in
the above configuration files.

Additional info:
Comment 1 Bill Nottingham 2006-06-29 01:15:40 EDT
Please try the updates-testing initscripts.
Comment 2 Marcus Schwartz 2006-06-29 12:16:52 EDT
Fixed in 8.31.2-1.
Comment 3 Marcus Schwartz 2006-07-05 12:20:46 EDT
I then added another dual-port e1000 NIC, and the new ports get dev##### names,
although now there are more digits in the ##### part.  For example:  dev1804289383
Comment 4 Bill Nottingham 2006-07-05 13:57:54 EDT
Do you have HWADDR=XXXX in the ifcfg files? Are the ifcfg files actually named
ifcfg-devXXXX?
Comment 5 Marcus Schwartz 2006-07-05 14:08:15 EDT
No, they're named like so, with HWADDR specified like so (except with real MACs):

# grep HWADDR ifcfg-eth*
ifcfg-eth0:HWADDR=00:14:XX:XX:XX:BA
ifcfg-eth1:HWADDR=00:14:XX:XX:XX:BB
ifcfg-eth2:HWADDR=00:04:XX:XX:XX:82
ifcfg-eth3:HWADDR=00:04:XX:XX:XX:83
ifcfg-eth4:HWADDR=00:04:XX:XX:XX:EF
ifcfg-eth5:HWADDR=00:04:XX:XX:XX:EE
Comment 6 Bill Nottingham 2006-07-05 14:10:48 EDT
Hm. Does 8.31.4-1 help at all (it's currently in updates-testing, and does fix
one race.)
Comment 7 Marcus Schwartz 2006-07-05 14:21:10 EDT
Same results with 8.31.4-1.
Comment 8 Marcus Schwartz 2006-07-11 20:26:04 EDT
Same also with 8.31.5-1.
Comment 9 Fabio Olive Leite 2007-02-07 08:20:42 EST
Do the interfaces that get their names changed to dev* have ONBOOT=yes in the
configuration?

This probably happens because the dev* interfaces do not get configured on boot
and they have been renamed to free up the names of those interfaces that *do*
get configured on boot. Since there was no other configuration done on them
during boot apart from changing the name to something temporary, they just
stayed with the temporary name.
Comment 10 Bug Zapper 2008-04-03 23:11:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 12:03:44 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.